Closed Bug 1370271 Opened 3 years ago Closed 2 years ago

Deprecate support for iOS 9

Categories

(Firefox for iOS :: General, enhancement, P1)

Other
iOS
enhancement

Tracking

()

RESOLVED FIXED
Iteration:
1.29
Tracking Status
fxios 9.0 ---

People

(Reporter: aaronmt, Assigned: farhan)

References

Details

(Keywords: stale-bug, Whiteboard: [MobileCore])

Attachments

(1 file)

55 bytes, text/x-github-pull-request
jhugman
: review+
Details | Review
With iOS 11 around the corner, it might be worthwhile to think about deprecating iOS 9.
Whiteboard: [MobileCore]
Duplicate of this bug: 1389109
Assignee: nobody → sarentz
Priority: -- → P1
Assignee: sarentz → fpatel
Around 40 new warnings are created many are deprecation warnings.
And the Telemetry library also needs to be updated to only support ios10+ as well. 

I don't think this is very critical for the 9.0 release. Instead I think we can drop ios9 support in v10 instead.
Attached file Pull Request
Attachment #8905662 - Flags: review?(jhugman)
Attachment #8905662 - Flags: review?(jhugman) → review+
Iteration: --- → 1.29
Whiteboard: [MobileCore] → [MobileCore][needsuplift]
master https://github.com/mozilla-mobile/firefox-ios/commit/5e9dd86de562263c846f1775d4094eff5cea972f
uplifted to v9.x
Status: NEW → RESOLVED
Closed: 2 years ago
Resolution: --- → FIXED
Whiteboard: [MobileCore][needsuplift] → [MobileCore]
You need to log in before you can comment on or make changes to this bug.